# Uses of Interface
org.bukkit.OfflinePlayer

Packages that use OfflinePlayer
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.configuration
Classes dedicated to handling a plugin's runtime configuration.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.scoreboard
Interfaces used to manage the client side score display system.

## Uses of OfflinePlayer in org.bukkit

Methods in org.bukkit that return OfflinePlayer
Modifier and Type
Method
Description
`static @NotNull OfflinePlayer`
Bukkit.`getOfflinePlayer(@NotNull String name)`
Gets the player by the given name, regardless if they are offline or online.
`static @NotNull OfflinePlayer`
Bukkit.`getOfflinePlayer(@NotNull UUID id)`
Gets the player by the given UUID, regardless if they are offline or online.
`@NotNull OfflinePlayer`
Server.`getOfflinePlayer(@NotNull String name)`
Gets the player by the given name, regardless if they are offline or online.
`@NotNull OfflinePlayer`
Server.`getOfflinePlayer(@NotNull UUID id)`
Gets the player by the given UUID, regardless if they are offline or online.
`static @Nullable OfflinePlayer`
Bukkit.`getOfflinePlayerIfCached(@NotNull String name)`
Gets the player by the given name, regardless if they are offline or online.
`@Nullable OfflinePlayer`
Server.`getOfflinePlayerIfCached(@NotNull String name)`
Gets the player by the given name, regardless if they are offline or online.
`static @NotNull OfflinePlayer[]`
Bukkit.`getOfflinePlayers()`
Gets every player that has ever played on this server.
`@NotNull OfflinePlayer[]`
Server.`getOfflinePlayers()`
Gets every player that has ever played on this server.
Methods in org.bukkit that return types with arguments of type OfflinePlayer
Modifier and Type
Method
Description
`static @NotNull Set<OfflinePlayer>`
Bukkit.`getBannedPlayers()`
Gets a set containing all banned players.
`@NotNull Set<OfflinePlayer>`
Server.`getBannedPlayers()`
Gets a set containing all banned players.
`static @NotNull Set<OfflinePlayer>`
Bukkit.`getOperators()`
Gets a set containing all player operators.
`@NotNull Set<OfflinePlayer>`
Server.`getOperators()`
Gets a set containing all player operators.
`static @NotNull Set<OfflinePlayer>`
Bukkit.`getWhitelistedPlayers()`
Gets a list of whitelisted players.
`@NotNull Set<OfflinePlayer>`
Server.`getWhitelistedPlayers()`
Gets a list of whitelisted players.

## Uses of OfflinePlayer in org.bukkit.block

Methods in org.bukkit.block that return OfflinePlayer
Modifier and Type
Method
Description
`@Nullable OfflinePlayer`
Skull.`getOwningPlayer()`
Get the player which owns the skull.
Methods in org.bukkit.block with parameters of type OfflinePlayer
Modifier and Type
Method
Description
`void`
Skull.`setOwningPlayer(@NotNull OfflinePlayer player)`
Set the player which owns the skull.

## Uses of OfflinePlayer in org.bukkit.configuration

Methods in org.bukkit.configuration that return OfflinePlayer
Modifier and Type
Method
Description
`@Nullable OfflinePlayer`
ConfigurationSection.`getOfflinePlayer(@NotNull String path)`
Gets the requested OfflinePlayer by path.
`@Nullable OfflinePlayer`
ConfigurationSection.`getOfflinePlayer(@NotNull String path, @Nullable OfflinePlayer def)`
Gets the requested `OfflinePlayer` by path, returning a default value if not found.
`@Nullable OfflinePlayer`
MemorySection.`getOfflinePlayer(@NotNull String path)`
`@Nullable OfflinePlayer`
MemorySection.`getOfflinePlayer(@NotNull String path, @Nullable OfflinePlayer def)`
Methods in org.bukkit.configuration with parameters of type OfflinePlayer
Modifier and Type
Method
Description
`@Nullable OfflinePlayer`
ConfigurationSection.`getOfflinePlayer(@NotNull String path, @Nullable OfflinePlayer def)`
Gets the requested `OfflinePlayer` by path, returning a default value if not found.
`@Nullable OfflinePlayer`
MemorySection.`getOfflinePlayer(@NotNull String path, @Nullable OfflinePlayer def)`

## Uses of OfflinePlayer in org.bukkit.entity

Subinterfaces of OfflinePlayer in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`Player`
Represents a player, connected or not
Methods in org.bukkit.entity that return OfflinePlayer
Modifier and Type
Method
Description
`@Nullable OfflinePlayer`
ZombieVillager.`getConversionPlayer()`
Gets the player who initiated the conversion.
Methods in org.bukkit.entity with parameters of type OfflinePlayer
Modifier and Type
Method
Description
`void`
ZombieVillager.`setConversionPlayer(@Nullable OfflinePlayer conversionPlayer)`
Sets the player who initiated the conversion.

## Uses of OfflinePlayer in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return OfflinePlayer
Modifier and Type
Method
Description
`@Nullable OfflinePlayer`
SkullMeta.`getOwningPlayer()`
Gets the owner of the skull.
Methods in org.bukkit.inventory.meta with parameters of type OfflinePlayer
Modifier and Type
Method
Description
`boolean`
SkullMeta.`setOwningPlayer(@Nullable OfflinePlayer owner)`
Sets the owner of the skull.

## Uses of OfflinePlayer in org.bukkit.scoreboard

Methods in org.bukkit.scoreboard that return OfflinePlayer
Modifier and Type
Method
Description
`@NotNull OfflinePlayer`
Score.`getPlayer()`
Deprecated.
Scoreboards can contain entries that aren't players
Methods in org.bukkit.scoreboard that return types with arguments of type OfflinePlayer
Modifier and Type
Method
Description
`@NotNull Set<OfflinePlayer>`
Scoreboard.`getPlayers()`
Deprecated.
Scoreboards can contain entries that aren't players
`@NotNull Set<OfflinePlayer>`
Team.`getPlayers()`
Deprecated.
Teams can contain entries that aren't players
Methods in org.bukkit.scoreboard with parameters of type OfflinePlayer
Modifier and Type
Method
Description
`void`
Team.`addPlayer(@NotNull OfflinePlayer player)`
This puts the specified player onto this team for the scoreboard.
`@Nullable Team`
Scoreboard.`getPlayerTeam(@NotNull OfflinePlayer player)`
Gets a player's Team on this Scoreboard
`@NotNull Score`
Objective.`getScore(@NotNull OfflinePlayer player)`
Gets a player's Score for an Objective on this Scoreboard
`@NotNull Set<Score>`
Scoreboard.`getScores(@NotNull OfflinePlayer player)`
Gets all scores for a player on this Scoreboard
`boolean`
Team.`hasPlayer(@NotNull OfflinePlayer player)`
Checks to see if the specified player is a member of this team.
`boolean`
Team.`removePlayer(@NotNull OfflinePlayer player)`
Removes the player from this team.
`void`
Scoreboard.`resetScores(@NotNull OfflinePlayer player)`
Removes all scores for a player on this Scoreboard